Index: TXM/trunk/bundles/org.txm.conllu.rcp/src/org/txm/conllu/rcp/importsection/CoNLLUSection.java
===================================================================
--- TXM/trunk/bundles/org.txm.conllu.rcp/src/org/txm/conllu/rcp/importsection/CoNLLUSection.java	(revision 3671)
+++ TXM/trunk/bundles/org.txm.conllu.rcp/src/org/txm/conllu/rcp/importsection/CoNLLUSection.java	(revision 3672)
@@ -80,9 +80,13 @@
 		gdata2.colspan = 4; // one line
 		keepWordContractionsButton.setLayoutData(gdata2);
 		
-		udPropertiesPrefixButton = toolkit.createText(sectionClient, "UD properties prefix", SWT.CHECK);
+		Label tmp5Label = toolkit.createLabel(sectionClient, "UD properties prefix");
+		tmp5Label.setToolTipText("The prefix of the CQP properties containing the UD properties");
+		tmp5Label.setLayoutData(getLabelGridData());
+		
+		udPropertiesPrefixButton = toolkit.createText(sectionClient, "UD properties prefix", SWT.BORDER);
 		gdata2 = getButtonLayoutData();
-		gdata2.colspan = 4; // one line
+		gdata2.colspan = 3; // one line
 		udPropertiesPrefixButton.setLayoutData(gdata2);
 		
 		Label tmp4Label = toolkit.createLabel(sectionClient, "Head properties to project");
@@ -115,7 +119,7 @@
 		buildTIGERIndexesButton.setSelection(customNode.getBoolean(UDPreferences.IMPORT_BUILD_TIGERSEARCH_INDEXES, UDPreferences.getInstance().getBoolean(UDPreferences.IMPORT_BUILD_TIGERSEARCH_INDEXES))); //$NON-NLS-1$
 		useNewDocIdButton.setSelection(customNode.getBoolean(UDPreferences.IMPORT_USE_NEW_DOC_ID, UDPreferences.getInstance().getBoolean(UDPreferences.IMPORT_USE_NEW_DOC_ID))); //$NON-NLS-1$
 		keepWordContractionsButton.setSelection(customNode.getBoolean(UDPreferences.KEEP_CONTRACTIONS, UDPreferences.getInstance().getBoolean(UDPreferences.KEEP_CONTRACTIONS))); //$NON-NLS-1$
-		udPropertiesPrefixButton.setText(customNode.get(UDPreferences.UDPREFIX, "")); //$NON-NLS-1$
+		udPropertiesPrefixButton.setText(customNode.get(UDPreferences.UDPREFIX, UDPreferences.getInstance().getString(UDPreferences.UDPREFIX))); //$NON-NLS-1$
 		headPropertiesText.setText(customNode.get(UDPreferences.IMPORT_HEAD_TO_PROJECT, UDPreferences.getInstance().getString(UDPreferences.IMPORT_HEAD_TO_PROJECT))); //$NON-NLS-1$
 		depsPropertiesText.setText(customNode.get(UDPreferences.IMPORT_DEPS_TO_PROJECT, UDPreferences.getInstance().getString(UDPreferences.IMPORT_DEPS_TO_PROJECT))); //$NON-NLS-1$
 	}
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/CommandsSection.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/CommandsSection.java	(revision 3671)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/CommandsSection.java	(revision 3672)
@@ -38,6 +38,7 @@
 	private Text referencePatternProperties;
 	
 	public CommandsSection(ImportFormEditor editor, FormToolkit toolkit2, ScrolledForm form2, Composite parent, int style) {
+		
 		super(editor, toolkit2, form2, parent, style, "commands");
 		
 		this.section.setText(TXMUIMessages.commands);
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditor.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditor.java	(revision 3671)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditor.java	(revision 3672)
@@ -11,6 +11,7 @@
 import java.util.List;
 import java.util.Set;
 
+import org.apache.commons.lang.StringUtils;
 import org.eclipse.core.runtime.IConfigurationElement;
 import org.eclipse.core.runtime.IProgressMonitor;
 import org.eclipse.core.runtime.ISafeRunnable;
@@ -1656,12 +1657,19 @@
 							value = new ArrayList<>();
 						}
 					}
+				}
+				else if (object instanceof org.eclipse.swt.widgets.List) {
 					
-//					else if (value instanceof List) {
-//						if (!s.isEmpty()) {
-//							value = new ArrayList<>(Arrays.asList(s.split(",")));
-//						}
-//					}
+					org.eclipse.swt.widgets.List l =(org.eclipse.swt.widgets.List)object;
+					
+					String[] s = l.getSelection();
+					Class<?> clazz = targetField.getType();
+					if (clazz.equals(String.class)) {
+						value = StringUtils.join(s, ", ");
+					} else if (clazz.equals(List.class)) {
+						value = new ArrayList<>(Arrays.asList(s));
+					}
+
 				}
 				else {
 					value = object;
Index: TXM/trunk/bundles/org.txm.libs.deptreeviz/src/org/txm/libs/deptreeviz/UDPrintTree.java
===================================================================
--- TXM/trunk/bundles/org.txm.libs.deptreeviz/src/org/txm/libs/deptreeviz/UDPrintTree.java	(revision 3671)
+++ TXM/trunk/bundles/org.txm.libs.deptreeviz/src/org/txm/libs/deptreeviz/UDPrintTree.java	(revision 3672)
@@ -1,74 +0,0 @@
-package org.txm.libs.deptreeviz;
-
-import java.io.File;
-import java.io.IOException;
-import java.io.PrintWriter;
-import java.lang.reflect.Field;
-import java.util.ArrayList;
-import java.util.Arrays;
-import java.util.List;
-
-import io.gitlab.nats.deptreeviz.DepTree;
-import io.gitlab.nats.deptreeviz.SimpleParse;
-import io.gitlab.nats.deptreeviz.SimpleWord;
-
-public class UDPrintTree {
-	
-	public static File print(File file, List<String> conll, String[] Tvalues, String[] NTvalues) {
-		
-		try {
-			PrintWriter pw = new PrintWriter(file);
-			
-			SimpleParse p = SimpleParse.fromConll(conll);
-			List<SimpleWord> words = p.getWords();
-			List<String> labels = p.getVerticesLabels().get("SYN");
-			if (Tvalues != null && Tvalues.length == words.size()) {
-				
-				for (int i = 0; i < words.size(); i++) {
-					SimpleWord w = words.get(i);
-					
-					Field fword = SimpleWord.class.getDeclaredField("word");
-					fword.setAccessible(true);
-					fword.set(w, w.getWord() + "/" + Tvalues[i]);
-				}
-			}
-			
-			if (NTvalues != null && NTvalues.length == words.size()) {
-				ArrayList<String> tmp = (ArrayList) labels;
-				tmp.clear();
-				for (int i = 0; i < words.size(); i++) {
-					tmp.add(NTvalues[i]);
-				}
-			}
-			DepTree<SimpleParse, SimpleWord> dt = new DepTree<SimpleParse, SimpleWord>(p);
-			// dt.setShowingReferent(true);
-			// dt.setShowingCat(true);
-			dt.writeTree(pw);
-			// w.close();
-			return file;
-		}
-		catch (Throwable e) {
-			// TODO Auto-generated catch block
-			e.printStackTrace();
-		}
-		return null;
-	}
-	
-	public static void main(String[] args) throws IOException {
-		
-		File file = File.createTempFile("txm", ".svg", new File("/home/mdecorde"));
-		
-		List<String> conll = Arrays.asList(
-				"1	Ce	ce	PRON	_	Number=Sing|Person=3|PronType=Dem	2	nsubj	_	_",
-				"2	doit	devoir	VERB	_	Mood=Ind|Number=Sing|Person=3|Tense=Pres|VerbForm=Fin	0	root	_	_",
-				"3	être	être	AUX	_	VerbForm=Inf	5	cop	_	_",
-				"4	un	un	DET	_	Definite=Ind|Gender=Masc|Number=Sing|PronType=Art	5	det	_	_",
-				"5	général	général	NOUN	_	Gender=Masc|Number=Sing	2	xcomp	_	_",
-				"6	étranger	étranger	ADJ	_	Gender=Masc|Number=Sing	5	amod	_	_",
-				"7	.	.	PUNCT	_	_	2	punct	_	_");
-		
-		
-		System.out.println("FILE: " + print(file, conll, null, null));
-	}
-	
-}
Index: TXM/trunk/bundles/org.txm.libs.deptreeviz/src/org/txm/libs/deptreeviz/UDDepTreeVizPrintTree.java
===================================================================
--- TXM/trunk/bundles/org.txm.libs.deptreeviz/src/org/txm/libs/deptreeviz/UDDepTreeVizPrintTree.java	(revision 0)
+++ TXM/trunk/bundles/org.txm.libs.deptreeviz/src/org/txm/libs/deptreeviz/UDDepTreeVizPrintTree.java	(revision 3672)
@@ -0,0 +1,82 @@
+package org.txm.libs.deptreeviz;
+
+import java.io.File;
+import java.io.IOException;
+import java.io.PrintWriter;
+import java.lang.reflect.Field;
+import java.util.ArrayList;
+import java.util.Arrays;
+import java.util.List;
+
+import io.gitlab.nats.deptreeviz.DepTree;
+import io.gitlab.nats.deptreeviz.SimpleParse;
+import io.gitlab.nats.deptreeviz.SimpleWord;
+
+public class UDDepTreeVizPrintTree {
+	
+	public static File print(File file, List<String> conll, String[] Tvalues, String[] NTvalues) {
+		
+		try {
+			PrintWriter pw = new PrintWriter(file);
+			
+			SimpleParse p = SimpleParse.fromConll(conll);
+			List<SimpleWord> words = p.getWords();
+			List<String> labels = p.getVerticesLabels().get("SYN");
+			
+			if (Tvalues != null && Tvalues.length == words.size()) {
+				
+				for (int i = 0; i < words.size(); i++) {
+					SimpleWord w = words.get(i);
+					
+					Field fword = SimpleWord.class.getDeclaredField("word");
+					fword.setAccessible(true);
+										
+					if (Tvalues[i] != null) {
+						fword.set(w, w.getWord() + " / " + Tvalues[i]);
+					} else {
+						fword.set(w, w.getWord());
+					}
+				}
+			}
+			
+			if (NTvalues != null && NTvalues.length == words.size()) {
+				ArrayList<String> tmp = (ArrayList) labels;
+				for (int i = 0; i < words.size(); i++) {
+					if (NTvalues[i] != null) {
+						tmp.set(i, tmp.get(i) + " / " + NTvalues[i]);
+					}
+				}
+				p.getVerticesLabels().put("SYN", tmp);
+			}
+			DepTree<SimpleParse, SimpleWord> dt = new DepTree<SimpleParse, SimpleWord>(p);
+			// dt.setShowingReferent(true);
+			// dt.setShowingCat(true);
+			dt.writeTree(pw);
+			// w.close();
+			return file;
+		}
+		catch (Throwable e) {
+			// TODO Auto-generated catch block
+			e.printStackTrace();
+		}
+		return null;
+	}
+	
+	public static void main(String[] args) throws IOException {
+		
+		File file = File.createTempFile("txm", ".svg", new File("/home/mdecorde"));
+		
+		List<String> conll = Arrays.asList(
+				"1	Ce	ce	PRON	_	Number=Sing|Person=3|PronType=Dem	2	nsubj	_	_",
+				"2	doit	devoir	VERB	_	Mood=Ind|Number=Sing|Person=3|Tense=Pres|VerbForm=Fin	0	root	_	_",
+				"3	être	être	AUX	_	VerbForm=Inf	5	cop	_	_",
+				"4	un	un	DET	_	Definite=Ind|Gender=Masc|Number=Sing|PronType=Art	5	det	_	_",
+				"5	général	général	NOUN	_	Gender=Masc|Number=Sing	2	xcomp	_	_",
+				"6	étranger	étranger	ADJ	_	Gender=Masc|Number=Sing	5	amod	_	_",
+				"7	.	.	PUNCT	_	_	2	punct	_	_");
+		
+		
+		System.out.println("FILE: " + print(file, conll, null, null));
+	}
+	
+}

Property changes on: TXM/trunk/bundles/org.txm.libs.deptreeviz/src/org/txm/libs/deptreeviz/UDDepTreeVizPrintTree.java
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: TXM/trunk/bundles/org.txm.treesearch.core/src/org/txm/treesearch/function/TreeSearch.java
===================================================================
--- TXM/trunk/bundles/org.txm.treesearch.core/src/org/txm/treesearch/function/TreeSearch.java	(revision 3671)
+++ TXM/trunk/bundles/org.txm.treesearch.core/src/org/txm/treesearch/function/TreeSearch.java	(revision 3672)
@@ -38,7 +38,7 @@
 	protected List<String> T;
 	
 	@Parameter(key = TreeSearchPreferences.NTFEATURE)
-	protected String NT;
+	protected List<String> NT;
 	
 	@Parameter(key = TreeSearchPreferences.VISUALISATION)
 	protected String pVisualisation;
@@ -96,7 +96,7 @@
 	
 	public abstract int getNSubGraph(int matchNo);
 	
-	public final String getNT() {
+	public final List<String> getNT() {
 		return NT;
 	}
 	
@@ -139,7 +139,7 @@
 	@Override
 	public abstract boolean setParameters(TXMParameters parameters);
 	
-	public abstract boolean toSVG(File svgFile, int sent, int sub, List<String> T, String NT);
+	public abstract boolean toSVG(File svgFile, int sent, int sub, List<String> T, List<String> nT2);
 
 	public abstract boolean isReady();
 
Index: TXM/trunk/bundles/org.txm.tigersearch.rcp/src/org/txm/function/tigersearch/TIGERSearch.java
===================================================================
--- TXM/trunk/bundles/org.txm.tigersearch.rcp/src/org/txm/function/tigersearch/TIGERSearch.java	(revision 3671)
+++ TXM/trunk/bundles/org.txm.tigersearch.rcp/src/org/txm/function/tigersearch/TIGERSearch.java	(revision 3672)
@@ -99,15 +99,20 @@
 		return tsresult != null && T != null && NT != null;
 	}
 	
-	public boolean toSVG(File svgFile, int sent, int sub, List<String> T, String NT) {
+	public boolean toSVG(File svgFile, int sent, int sub, List<String> T, List<String> NT) {
 		
 		if (tsresult == null) return false; // no result
+		
 		this.T = T;
 		this.NT = NT;
 		
 		if (tsresult.getNumberOfMatch() == 0) return false;
 		
-		tsresult.setDisplayProperties(T, NT);
+		if (NT.size() > 0) {
+			tsresult.setDisplayProperties(T, NT.get(0));
+		} else {
+			tsresult.setDisplayProperties(T, null);
+		}
 		
 		try {
 			// iterate to the sub th subgraph
Index: TXM/trunk/bundles/org.txm.conllu.core/src/org/txm/conllu/core/function/UDSearch.java
===================================================================
--- TXM/trunk/bundles/org.txm.conllu.core/src/org/txm/conllu/core/function/UDSearch.java	(revision 3671)
+++ TXM/trunk/bundles/org.txm.conllu.core/src/org/txm/conllu/core/function/UDSearch.java	(revision 3672)
@@ -11,7 +11,7 @@
 import org.txm.conllu.core.preferences.UDPreferences;
 import org.txm.conllu.core.preferences.UDTreePreferences;
 import org.txm.core.results.TXMParameters;
-import org.txm.libs.deptreeviz.UDPrintTree;
+import org.txm.libs.deptreeviz.UDDepTreeVizPrintTree;
 import org.txm.searchengine.core.Selection;
 import org.txm.searchengine.cqp.CQPSearchEngine;
 import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
@@ -63,7 +63,7 @@
 	}
 	
 	@Override
-	public boolean toSVG(File svgFile, int sent, int sub, List<String> T, String NT) {
+	public boolean toSVG(File svgFile, int sent, int sub, List<String> T,  List<String> NT) {
 		
 		if (!isDrawn()) return false; // no result
 		try {
@@ -91,27 +91,45 @@
 			String prefix = UDPreferences.getInstance().getProjectPreferenceValue(corpus.getProject(), UDPreferences.UDPREFIX, UDPreferences.getInstance().getString(UDPreferences.UDPREFIX));
 			
 			String[] Tvalues = new String[positions.length];
-			for (int i = 0 ; i < Tvalues.length ; i++) {
-				Tvalues[i] += "";
-			}
 			
+			
 			if (T != null && T.size() > 0) {
+				for (int i = 0 ; i < Tvalues.length ; i++) {
+					Tvalues[i] = "";
+				}
 				for (int iT = 0 ; iT < T.size() ; iT++) {
 					String t = T.get(iT);
 					if (corpus.getProperty(t) != null) {
 						String[] tvalues = corpus.getProperty(t).cpos2Str(positions);
 						for (int i = 0 ; i < tvalues.length ; i++) {
-							if (iT > 0) Tvalues[i] += "/";
+							if (iT > 0) Tvalues[i] += " / ";
 							Tvalues[i] += tvalues[i];
 						}
 					}
 				}
 			}
 			
-			String[] NTvalues = null;
-			if (NT != null && corpus.getProperty(NT) != null) {
-				NTvalues = corpus.getProperty(NT).cpos2Str(positions);
+			String[] NTvalues = new String[positions.length];
+			if (NT != null && NT.size() > 0) {
+				for (int i = 0 ; i < NTvalues.length ; i++) {
+					NTvalues[i] = "";
+				}
+				for (int iNT = 0 ; iNT < NT.size() ; iNT++) {
+					String nt = NT.get(iNT);
+					if (corpus.getProperty(nt) != null) {
+						String[] ntvalues = corpus.getProperty(nt).cpos2Str(positions);
+						for (int i = 0 ; i < ntvalues.length ; i++) {
+							if (iNT > 0) NTvalues[i] += " / ";
+							NTvalues[i] += ntvalues[i];
+						}
+					}
+				}
 			}
+			
+			
+//			if (NT != null && corpus.getProperty(NT) != null) {
+//				NTvalues = corpus.getProperty(NT).cpos2Str(positions);
+//			}
 			HashMap<String, String[]> values = new HashMap<>();
 			for (String p : ImportCoNLLUAnnotations.UD_PROPERTY_NAMES) {
 				values.put(prefix+p, corpus.getProperty(prefix+p).cpos2Str(positions));
@@ -139,7 +157,7 @@
 			if (UDTreePreferences.BRAT.equals(pVisualisation)) {
 				return BratPrintTree.print(svgFile, conll, Tvalues, NTvalues) != null;
 			} else { // if (engine == null || UDTreePreferences.DEPTREEVIZ.equals(engine)) {
-				return UDPrintTree.print(svgFile, conll, Tvalues, NTvalues) != null;
+				return UDDepTreeVizPrintTree.print(svgFile, conll, Tvalues, NTvalues) != null;
 			} 
 		}
 		catch (Throwable e) {
@@ -179,8 +197,11 @@
 		}
 	}
 	
-	public String[] getAvailableNTProperties() {
-		return new String[0];
+	/**
+	 * UD words stores the T and NT values 
+	 */
+	public final String[] getAvailableNTProperties() {
+		return getAvailableTProperties();
 	}
 	
 	@Override
Index: TXM/trunk/bundles/org.txm.treesearch.rcp/src/org/txm/treesearch/editor/TreeSearchEditor.java
===================================================================
--- TXM/trunk/bundles/org.txm.treesearch.rcp/src/org/txm/treesearch/editor/TreeSearchEditor.java	(revision 3671)
+++ TXM/trunk/bundles/org.txm.treesearch.rcp/src/org/txm/treesearch/editor/TreeSearchEditor.java	(revision 3672)
@@ -1,7 +1,6 @@
 package org.txm.treesearch.editor;
 
 import java.io.File;
-import java.io.IOException;
 import java.util.ArrayList;
 import java.util.Arrays;
 import java.util.HashMap;
@@ -19,7 +18,6 @@
 import org.eclipse.swt.widgets.Combo;
 import org.eclipse.swt.widgets.Composite;
 import org.eclipse.swt.widgets.Event;
-import org.eclipse.swt.widgets.Group;
 import org.eclipse.swt.widgets.Label;
 import org.eclipse.swt.widgets.Listener;
 import org.eclipse.swt.widgets.Spinner;
@@ -32,7 +30,6 @@
 import org.txm.core.results.Parameter;
 import org.txm.edition.rcp.handlers.OpenEdition;
 import org.txm.rcp.IImageKeys;
-import org.txm.rcp.editors.ITXMResultEditor;
 import org.txm.rcp.editors.TXMBrowserEditor;
 import org.txm.rcp.editors.TXMEditor;
 import org.txm.rcp.editors.TXMResultEditorInput;
@@ -85,10 +82,10 @@
 	private Label sentCounterLabel;
 	
 	@Parameter(key = TreeSearchPreferences.NTFEATURE)
-	private Combo NTCombo;
+	private org.eclipse.swt.widgets.List NTCombo;
 	
 	@Parameter(key = TreeSearchPreferences.TFEATURE)
-	private Combo TCombo;
+	private org.eclipse.swt.widgets.List TCombo;
 	
 	private Combo representationCombo;
 	
@@ -222,7 +219,7 @@
 		l1.setText("T "); //$NON-NLS-1$
 		l1.setLayoutData(new GridData(SWT.CENTER, SWT.CENTER, false, false));
 		
-		TCombo = new Combo(line2, SWT.READ_ONLY|SWT.MULTI);
+		TCombo = new org.eclipse.swt.widgets.List(line2, SWT.READ_ONLY|SWT.MULTI);
 		GridData gdata = new GridData(SWT.FILL, SWT.CENTER, true, true);
 		TCombo.setLayoutData(gdata);
 		TCombo.addSelectionListener(selChangedListener);
@@ -231,12 +228,11 @@
 		l2.setText("NT "); //$NON-NLS-1$
 		l2.setLayoutData(new GridData(SWT.CENTER, SWT.CENTER, false, false));
 		
-		NTCombo = new Combo(line2, SWT.READ_ONLY);
+		NTCombo = new org.eclipse.swt.widgets.List(line2, SWT.READ_ONLY|SWT.MULTI);
 		gdata = new GridData(SWT.FILL, SWT.CENTER, true, true);
 		NTCombo.setLayoutData(gdata);
 		NTCombo.addSelectionListener(selChangedListener);
 		
-		
 		// bottom toolbar
 		
 		GLComposite navigationAreaComposite = getBottomToolbar().installGLComposite(ConcordanceUIMessages.navigation, 12, false);
@@ -387,17 +383,24 @@
 		if (tFeatures.length > 0) {
 			TCombo.setItems(tFeatures);
 			//TCombo.setText(ts.getT());
+			if (ts.getT() != null) {
+				TCombo.setSelection(ts.getT().toArray(new String[ts.getT().size()]));
+			}
 		}
 		
 		String[] ntFeatures = ts.getAvailableNTProperties();
 		if (ntFeatures.length > 0) {
 			NTCombo.setItems(ntFeatures);
-			NTCombo.setText(ts.getNT());
+			//NTCombo.setText(ts.getNT());
+			//NTCombo.setSelection(Arrays.binarySearch(ntFeatures, ts.getNT()));
+			if (ts.getNT() != null) {
+				NTCombo.setSelection(ts.getNT().toArray(new String[ts.getNT().size()]));
+			}
 			NTCombo.setEnabled(true);
 		}
 		else {
 			NTCombo.removeAll();
-			NTCombo.setText("");
+			//NTCombo.setText("");
 			NTCombo.setEnabled(false);
 		}
 		
@@ -443,7 +446,7 @@
 			if (ts.hasSubMatchesStrategy()) subCounterLabel.setText(Messages.NoSubGraph);
 		}
 		
-		if (ts.isDrawn()) {
+		if (!ts.isDrawn()) {
 			sentSpinner.setSelection(ts.getCurrentMatchIndex() + 1);
 			sentSpinner.setMaximum(ts.getNSentences());
 			// if (ts.hasSubMatchesStrategy()) {
@@ -550,13 +553,14 @@
 	 */
 	private boolean reloadGraph() {
 		
-		List<String> T = null;
-		if (TCombo.getText().isEmpty()) {
-			T = new ArrayList<String>();
-		} else {
-			T = Arrays.asList(TCombo.getText().split(", "));
-		}
-		String NT = NTCombo.getText();
+//		List<String> T = null;
+//		if (TCombo.getSelection().length() == 0) {
+//			T = new ArrayList<String>();
+//		} else {
+//			
+//		}
+		List<String> T = Arrays.asList(TCombo.getSelection());
+		List<String> NT = Arrays.asList(NTCombo.getSelection());
 		int sent = sentSpinner.getSelection() - 1;
 		int sub = 0;
 		
